org.eclipse.eef.ide.ui.properties.api

## Class EEFTabDescriptor

- java.lang.Object
- - org.eclipse.eef.properties.ui.api.AbstractEEFTabDescriptor
  - - org.eclipse.eef.ide.ui.properties.api.EEFTabDescriptor

All Implemented Interfaces:
  java.lang.Cloneable, IEEFTabDescriptor, IEEFTabItem

    public class EEFTabDescriptor
    extends AbstractEEFTabDescriptor

The implementation of the `AbstractEEFTabDescriptor` using the `EEFPage`.

### Field Summary

### Fields inherited from interface org.eclipse.eef.properties.ui.api.IEEFTabDescriptor

`TOP`

### Constructor Summary

Constructors
Constructor and Description
`EEFTabDescriptor(EEFPage eefPage)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCategory()` Get the category this tab belongs to.
`java.lang.String` `getId()` Get the unique identifier for the tab.
`java.lang.String` `getLabel()` Get the text label for the tab.
`java.util.List<IEEFSectionDescriptor>` `getSectionDescriptors()` Get the list of section descriptors for the tab.
`boolean` `isIndented()` Determine if this tab is indented.

### Methods inherited from class org.eclipse.eef.properties.ui.api.AbstractEEFTabDescriptor

`clone, createTab, equals, getAfterTab, getImage, getText, hashCode, isSelected, setSectionDescriptors`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFTabDescriptor

    public EEFTabDescriptor(EEFPage eefPage)

The constructor.

Parameters:
  `eefPage` - The EEFPage

### Method Detail

#### getId

    public java.lang.String getId()

Get the unique identifier for the tab.

Returns:
  the unique identifier for the tab.
See Also:
  `IEEFTabDescriptor.getId()`

#### getLabel

    public java.lang.String getLabel()

Get the text label for the tab.

Returns:
  the text label for the tab.
See Also:
  `IEEFTabDescriptor.getLabel()`

#### getSectionDescriptors

    public java.util.List<IEEFSectionDescriptor> getSectionDescriptors()

Get the list of section descriptors for the tab.

Specified by:
  `getSectionDescriptors` in interface `IEEFTabDescriptor`
Overrides:
  `getSectionDescriptors` in class `AbstractEEFTabDescriptor`
Returns:
  the list of section descriptors for the tab.
See Also:
  `AbstractEEFTabDescriptor.getSectionDescriptors()`

#### getCategory

    public java.lang.String getCategory()

Get the category this tab belongs to.

Returns:
  Get the category this tab belongs to.
See Also:
  `IEEFTabDescriptor.getCategory()`

#### isIndented

    public boolean isIndented()

Determine if this tab is indented.

Specified by:
  `isIndented` in interface `IEEFTabItem`
Overrides:
  `isIndented` in class `AbstractEEFTabDescriptor`
Returns:
  `true` if this tab is indented.
See Also:
  `AbstractEEFTabDescriptor.isIndented()`